#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.14
visibility:           public
id:                   stm-hamt-1.2.0.14-DoT5JEU9Pv2LZ3lnBuEnVK
key:                  stm-hamt-1.2.0.14-DoT5JEU9Pv2LZ3lnBuEnVK
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by the
    <http://hackage.haskell.org/package/stm-containers stm-containers>.

category:             Data Structures, STM, Concurrency
abi:                  4be8d7a6befcb7e41a3fa7e79a867559
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.14
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.14-DoT5JEU9Pv2LZ3lnBuEnVK
depends:
    base-4.15.1.0 deferred-folds-0.9.18.6-6CwJQKGngRkI6RRdWLkpAp
    focus-1.0.3.2-EKvhgaWcUsPLqDFWvEQxyw
    hashable-1.4.3.0-33I0iRzN4K6CKLvpp4LZ7a
    list-t-1.0.5.4-FojxceX7g6yLi7as9S8Wgi
    primitive-0.7.4.0-IIvIIhmD2KR4zArPDCqtir
    primitive-extras-0.10.1.10-6V0pkIQrz9MGNrGDKjKZwz
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

